petsc-3.7.7 2017-09-25
Report Typos and Errors

# TaoSetApplicationContext

Sets the optional user-defined context for a solver.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode  TaoSetApplicationContext(Tao tao,void *usrP)

Logically Collective on Tao

### Input Parameters

| tao | - the Tao context
| usrP | - optional user context

### See Also

TaoGetApplicationContext(), TaoSetApplicationContext()

Level:intermediate
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages